GWT 2.7.0

## com.google.gwt.event.dom.client
Interface HasNativeEvent

All Known Implementing Classes:
  BlurEvent, CanPlayThroughEvent, ChangeEvent, ClickEvent, ContextMenuEvent, DomEvent, DoubleClickEvent, DragDropEventBase, DragEndEvent, DragEnterEvent, DragEvent, DragLeaveEvent, DragOverEvent, DragStartEvent, DropEvent, EndedEvent, ErrorEvent, Event.NativePreviewEvent, FocusEvent, GestureChangeEvent, GestureEndEvent, GestureStartEvent, HumanInputEvent, KeyCodeEvent, KeyDownEvent, KeyEvent, KeyPressEvent, KeyUpEvent, LoadedMetadataEvent, LoadEvent, LoseCaptureEvent, MouseDownEvent, MouseEvent, MouseMoveEvent, MouseOutEvent, MouseOverEvent, MouseUpEvent, MouseWheelEvent, ProgressEvent, ScrollEvent, TouchCancelEvent, TouchEndEvent, TouchEvent, TouchMoveEvent, TouchStartEvent

    public interface HasNativeEvent

An object that implements this interface has a native event associated with it.

Method Summary
`NativeEvent` | `getNativeEvent()` Gets the underlying native event.

Method Detail

### getNativeEvent

    NativeEvent getNativeEvent()

  Gets the underlying native event.

  Returns:
    the native event

GWT 2.7.0